Skip to content
Start here

Read submitted URLs by ID

brand_protection.url_info(BrandProtectionURLInfoParams**kwargs) -> SyncSinglePage[BrandProtectionURLInfoResponse]
GET/accounts/{account_id}/brand-protection/url-info

Return submitted URLs based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str
minLength1
ReturnsExpand Collapse
Dict[str, object]

Read submitted URLs by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.brand_protection.url_info(
    account_id="x",
)
page = page.result[0]
print(page)
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "foo": "bar"
    }
  ]
}